Subject: [bug#40629] [PATCH 4/5] scripts/build: options->things-to-build: Handle .json files.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 Apr 2020 23:45:39 +0200

Hello!

Ricardo Wurmus <[email-masked]> skribis:

> +                 (let ((file (or (and (string-suffix? ".json" file)
> +                                      (json->scheme-file file))
> +                                 file)))
> +                   (ensure-list (load* file (make-user-module '())))))

It would be nice if we could avoid writing to a file and then reading it
back, perhaps by having a variant of ‘load*’ that takes an sexp instead
of a file name.  (That could also allow us to improve error reporting
because we could attach source properties to the sexp that match the
original JSON file.)

Ludo’.